# H4609_RTCPMeasures_mediaReceiverMeasures Class Reference

`#include <h4609.h>`

Collaboration diagram for H4609_RTCPMeasures_mediaReceiverMeasures:

[legend]

## Public Types

| e_cumulativeNumberOfPacketsLost
| e_packetLostRate
| e_worstJitter
| e_estimatedThroughput
| e_fractionLostRate
| e_meanJitter
enum | OptionalFields { e_cumulativeNumberOfPacketsLost, e_packetLostRate, e_worstJitter, e_estimatedThroughput, e_fractionLostRate, e_meanJitter }

## Public Member Functions

| H4609_RTCPMeasures_mediaReceiverMeasures (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

PASN_Integer | m_cumulativeNumberOfPacketsLost
PASN_Integer | m_packetLostRate
H4609_CalculatedJitter | m_worstJitter
H225_BandWidth | m_estimatedThroughput
PASN_Integer | m_fractionLostRate
H4609_CalculatedJitter | m_meanJitter

## Member Enumeration Documentation

enum H4609_RTCPMeasures_mediaReceiverMeasures::OptionalFields

Enumerator:

  e_cumulativeNumberOfPacketsLost |
  e_packetLostRate |
  e_worstJitter |
  e_estimatedThroughput |
  e_fractionLostRate |
  e_meanJitter |

## Constructor & Destructor Documentation

H4609_RTCPMeasures_mediaReceiverMeasures::H4609_RTCPMeasures_mediaReceiverMeasures | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H4609_RTCPMeasures_mediaReceiverMeasures::Clone | ( |  | ) | const

Comparison H4609_RTCPMeasures_mediaReceiverMeasures::Compare | ( | const PObject & | obj | ) | const

PBoolean H4609_RTCPMeasures_mediaReceiverMeasures::Decode | ( | PASN_Stream & | strm | ) |

void H4609_RTCPMeasures_mediaReceiverMeasures::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H4609_RTCPMeasures_mediaReceiverMeasures::GetDataLength | ( |  | ) | const

void H4609_RTCPMeasures_mediaReceiverMeasures::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

PASN_Integer H4609_RTCPMeasures_mediaReceiverMeasures::m_cumulativeNumberOfPacketsLost

H225_BandWidth H4609_RTCPMeasures_mediaReceiverMeasures::m_estimatedThroughput

PASN_Integer H4609_RTCPMeasures_mediaReceiverMeasures::m_fractionLostRate

H4609_CalculatedJitter H4609_RTCPMeasures_mediaReceiverMeasures::m_meanJitter

PASN_Integer H4609_RTCPMeasures_mediaReceiverMeasures::m_packetLostRate

H4609_CalculatedJitter H4609_RTCPMeasures_mediaReceiverMeasures::m_worstJitter

The documentation for this class was generated from the following file:

- h4609.h